Can't locate object method "set_request_host"

devopstales

Member
Mar 16, 2019
11
1
23
32
devopstales.github.io
After update the the Web GUI not working and I get this error in the syslog:

Code:
Apr 15 13:46:53 proxmox101 pveproxy[3567370]: Can't locate object method "set_request_host" via package "PVE::RPCEnvironment" at /usr/share/perl5/PVE/APIServer/AnyEvent.pm line 1203.
Apr 15 13:46:57 proxmox101 pveproxy[3567369]: Can't locate object method "set_request_host" via package "PVE::RPCEnvironment" at /usr/share/perl5/PVE/APIServer/AnyEvent.pm line 1203.
Apr 15 13:47:00 proxmox101 pveproxy[3567368]: Can't locate object method "set_request_host" via package "PVE::RPCEnvironment" at /usr/share/perl5/PVE/APIServer/AnyEvent.pm line 1203.

I tried to restart pveproxy pvedaemon.

My configuration is:
Code:
root@proxmox101:~# pveversion -v
proxmox-ve: 5.4-1 (running kernel: 4.15.17-1-pve)
pve-manager: 5.2-12 (running version: 5.2-12/ba196e4b)
pve-kernel-4.15: 5.2-1
pve-kernel-4.15.17-1-pve: 4.15.17-9
pve-kernel-4.13.13-4-pve: 4.13.13-35
pve-kernel-4.13.4-1-pve: 4.13.4-26
ceph: 12.2.11-pve1
corosync: 2.4.4-pve1
criu: 2.11.1-1~bpo90
glusterfs-client: 3.8.8-1
ksm-control-daemon: 1.2-2
libjs-extjs: 6.0.1-2
libpve-access-control: 5.1-3
libpve-apiclient-perl: 2.0-5
libpve-common-perl: 5.0-42
libpve-guest-common-perl: 2.0-20
libpve-http-server-perl: 2.0-13
libpve-storage-perl: 5.0-37
libqb0: 1.0.3-1~bpo9
lvm2: 2.02.168-pve6
lxc-pve: 3.1.0-3
lxcfs: 3.0.3-pve1
novnc-pve: 1.0.0-3
proxmox-widget-toolkit: 1.0-25
pve-cluster: 5.0-36
pve-container: 2.0-34
pve-docs: 5.4-2
pve-edk2-firmware: 1.20190312-1
pve-firewall: 3.0-19
pve-firmware: 2.0-6
pve-ha-manager: 2.0-9
pve-i18n: 1.1-4
pve-libspice-server1: 0.12.8-3
pve-qemu-kvm: 2.11.2-1
pve-xtermjs: 3.12.0-1
pve-zsync: 1.7-4
qemu-server: 5.0-40
smartmontools: 6.5+svn4324-1
spiceterm: 3.0-5
vncterm: 1.5-3
zfsutils-linux: 0.7.13-pve1~bpo2

Packages updated:
Code:
Preparing to unpack .../00-libhttp-daemon-perl_6.01-2_all.deb ...
Unpacking libhttp-daemon-perl (6.01-2) over (6.01-1) ...
Preparing to unpack .../01-libpve-http-server-perl_2.0-13_all.deb ...
Unpacking libpve-http-server-perl (2.0-13) over (2.0-12) ...
Preparing to unpack .../02-proxmox-ve_5.4-1_all.deb ...
Unpacking proxmox-ve (5.4-1) over (5.3-1) ...
Preparing to unpack .../03-proxmox-widget-toolkit_1.0-25_all.deb ...
Unpacking proxmox-widget-toolkit (1.0-25) over (1.0-24) ...
Preparing to unpack .../04-pve-cluster_5.0-36_amd64.deb ...
Unpacking pve-cluster (5.0-36) over (5.0-34) ...
Preparing to unpack .../05-pve-ha-manager_2.0-9_amd64.deb ...
Unpacking pve-ha-manager (2.0-9) over (2.0-8) ...
Preparing to unpack .../06-pve-i18n_1.1-4_all.deb ...
Unpacking pve-i18n (1.1-4) over (1.0-9) ...
Preparing to unpack .../07-pve-xtermjs_3.12.0-1_amd64.deb ...
Unpacking pve-xtermjs (3.12.0-1) over (3.10.1-2) ...
Preparing to unpack .../08-pve-zsync_1.7-4_all.deb ...
Unpacking pve-zsync (1.7-4) over (1.7-3) ...
Preparing to unpack .../09-pve-docs_5.4-2_all.deb ...
Unpacking pve-docs (5.4-2) over (5.3-3) ...
Preparing to unpack .../10-pve-firewall_3.0-19_amd64.deb ...
Unpacking pve-firewall (3.0-19) over (3.0-18) ...
Setting up proxmox-widget-toolkit (1.0-25) ...
Setting up libpve-http-server-perl (2.0-13) ...
Setting up proxmox-ve (5.4-1) ...
Setting up libhttp-daemon-perl (6.01-2) ...
Setting up pve-zsync (1.7-4) ...
Setting up pve-i18n (1.1-4) ...
Setting up pve-docs (5.4-2) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up pve-cluster (5.0-36) ...
Setting up pve-firewall (3.0-19) ...
Setting up pve-xtermjs (3.12.0-1) ...
Setting up pve-ha-manager (2.0-9) ...
Processing triggers for pve-manager (5.2-12) ...
 
it seems you did a partial upgrade, libpve-common-perl should be version 5.0-50
Code:
pveupdate
pveupgrade
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!